extends ../../common-templates/layout

block content
  h1= video.id

  - const embedUrl = `https://www.youtube.com/embed/${video.url.split('=')[1]}`
  iframe(src=embedUrl width="560" height="349" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen)

  form(action=`/videos/${video.id}/view`, method='POST')
    button.btn.btn-info(type='submit') View
